Skip to main content
POST
Create cohort

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

device_id
string<uuid>[]

Multiple values may be separated by commas.

job_id
string<uuid>[]

Multiple values may be separated by commas.

parent_cohort_id
string<uuid>[]

Multiple values may be separated by commas.

size
integer

Body

job
string<uuid>
required
id
string<uuid>
parent_cohort
string<uuid> | null
source_device
string<uuid> | null

Source device for pairwise tests (optional)

dest_device
string<uuid> | null

Destination device for pairwise tests (optional)

device_ids
string<uuid>[]
write-only

List of device UUIDs that are members of this cohort

Maximum array length: 25000

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"